<?php
/*******************************************************************************

    Author ......... Ernest G. Wilson II 
    Contact ........ ErnestGWilsonII@gmail.com 
    Home Site ...... http://www.N3NCY.com
    Program ........ SSH tab for Cacti
    Version ........ 1.0
    Purpose ........ Display SSH inside of Cacti

*******************************************************************************/

function plugin_init_ssh() {
	global $plugin_hooks;
	$plugin_hooks['top_header_tabs']['ssh'] = 'ssh_show_tab';
	$plugin_hooks['top_graph_header_tabs']['ssh'] = 'ssh_show_tab';
	$plugin_hooks['config_arrays']['ssh'] = 'ssh_config_arrays';
	$plugin_hooks['draw_navigation_text']['ssh'] = 'ssh_draw_navigation_text';
	$plugin_hooks['top_graph_refresh']['ssh'] = 'ssh_top_graph_refresh';
	$plugin_hooks['config_settings']['ssh'] = 'ssh_config_settings';
}

function ssh_config_settings () {
	global $tabs, $settings;
	$tabs["misc"] = "Misc";

	$temp = array(
		"ssh_header" => array(
			"friendly_name" => "SSH",
			"method" => "spacer",
			),
		"ssh_host" => array(
			"friendly_name" => "SSH Host",
			"description" => "This is the name or IP of your SSH server.",
			"method" => "textbox",
			"max_length" => 255,
			)
	);
	if (isset($settings["misc"]))
		$settings["misc"] = array_merge($settings["misc"], $temp);
	else
		$settings["misc"]=$temp;
}

function ssh_top_graph_refresh ($refresh) {
	if (basename($_SERVER["PHP_SELF"]) != "ssh.php")
		return $refresh;
	return 99999;
}

function ssh_show_tab () {
	global $config, $user_auth_realms, $user_auth_realm_filenames;
	$realm_id2 = 0;

	if (isset($user_auth_realm_filenames{basename('ssh.php')})) {
		$realm_id2 = $user_auth_realm_filenames{basename('ssh.php')};
	}
	if ((db_fetch_assoc("select user_auth_realm.realm_id
		from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
		and user_auth_realm.realm_id='$realm_id2'")) || (empty($realm_id2))) {

        if (api_user_realm_auth('ssh.php')) {
                $cp = false;
                if (basename($_SERVER["PHP_SELF"]) == "ssh.php")
                        $cp = true;

                print '<a href="' . $config['url_path'] . 'plugins/ssh/ssh.php"><img src="' . $config['url_path'] . 'plugins/ssh/images/tab_ssh' . ($cp ? "_down": "") . '.gif" alt="ssh" align="absmiddle" border="0"></a>';
        }

	}
}

function ssh_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames;
	$user_auth_realms[936]='View SSH';
	$user_auth_realm_filenames['ssh.php'] = 936;
}


function ssh_draw_navigation_text ($nav) {
   $nav["ssh.php:"] = array("title" => "SSH", "mapping" => "index.php:", "url" => "ssh.php", "level" => "1");
   return $nav;
}

function ssh_version () {
	return array( 'name' 	=> 'ssh',
			'version' 	=> '1.0',
			'longname'	=> 'SSH Viewer',
			'author'	=> 'Ernest G. Wilson II',
			'homepage'	=> 'http://www.N3NCY.com',
			'email'	=> 'ErnestGWilsonII@gmail.com',
			'url'		=> 'http://cactiusers.org/cacti/versions.php'
			);
}

?>
